package com.allpayx.atsmpservice.param.RequestParam;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Company : AllPay
 * @author : lei.chen
 * @CreateDate : 2019/2/26 16:47 
 */
@Data
@JsonIgnoreProperties(value = {"voucher_type"})
public class RecoredConfirmInfoRequest {

    private String receive_start_date;

    private String receive_end_date;

    private String entry_start_date;

    private String entry_end_date;

    private String ecp_code;

    private String currency;

    private String process_status;

    private String voucher_id;

    private String user_id;
    @NotNull(message = "当前页数不可为空")
    private Integer page_num;
    @NotNull(message = "每页显示数据条数不可为空")
    private Integer page_size;

    private String voucher_status;
}
